/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOCREDITO                                              */
/* Tabela : TPCREDBANC                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 25/11/2006 Adalberto Teodoro Oliveira                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPOCREDITO
BEFORE INSERT OR UPDATE OR DELETE
ON TPCREDBANC FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPCR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTPCREDBANC,'') <> NVL(:NEW.CDTPCREDBANC,'')) OR
         (NVL(:OLD.CDCLASSFINA, '') <> NVL(:NEW.CDCLASSFINA, '')) OR
         (NVL(:OLD.CDHISTPADR,  '') <> NVL(:NEW.CDHISTPADR,  '')) OR
         (NVL(:OLD.CDCONTCTBL,  '') <> NVL(:NEW.CDCONTCTBL,  '')) OR
         (NVL(:OLD.DSTPCREDBANC,'') <> NVL(:NEW.DSTPCREDBANC,'')) OR
         (NVL(:OLD.IDCTBLCRBANC,'') <> NVL(:NEW.IDCTBLCRBANC,'')) THEN
         :NEW.DTULTATUTPCR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TPCREDBANC', '', 'CDTPCREDBANC='||:OLD.CDTPCREDBANC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TPCREDBANC MODIFY DTULTATUTPCR DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TIPOCREDITO','4.09.095'); END;
/

