ALTER TABLE ITEMSOLI ADD USR_DTEXPORTA       DATE                     NULL
/

ALTER TABLE ITEMSOLI ADD USR_NRSEQUENCIAL    INTEGER                  NULL
/

ALTER TABLE AUTOFORNE ADD USR_DTEXPORTA      DATE                     NULL
/

ALTER TABLE AUTOFORNE ADD USR_NRSEQUENCIAL   INTEGER                  NULL
/

-- =======================
-- TABLE: USR_INT_ITEMSOLI /*Tabela intermediria contendo itens de solicitaes de compras da integrao entre TecFood e Portal*/
-- =======================
CREATE TABLE USR_INT_ITEMSOLI
(   NRSEQUENCIAL        INTEGER                 NOT NULL,
    NRSEQITEM           VARCHAR2(4)             NOT NULL,
    CDFILSOLI           VARCHAR2(4)             NOT NULL,         /*Codigo da Filial Solicitante*/
    CHAVETEKNISA        VARCHAR2(18)            NULL,             /*Identificador da solicitao no sistema da Teknisa*/
    IDSOLEXTRA          VARCHAR2(1)             DEFAULT 'N' NULL, /*Solicitacao Extra? N-No S-Sim                  */
    CDPRODUTO           VARCHAR2(10)            NOT NULL,
    DTPROGENTR          DATE                    NOT NULL,
    QTSOLIPROD          FLOAT                   NOT NULL,
    DTUTILIZA           DATE                    NULL    ,
    TXOBSITMSOL         VARCHAR2(2000)          NULL    ,
    IDTPEXPITSOL        VARCHAR2(1)             NOT NULL,         /* Tipo de operao (1-Incluso, 2-Excluso) */
    IDORIGREGISTRO      VARCHAR2(1)             NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
    DTGRAVACAO          DATE                    NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO          VARCHAR2(4)             NULL,             /* Hora da gravao do registro na tabela intermediria   */
    DTIMPORTACAO        DATE                    NULL,             /* Dt de importao do registro da tabela intermediria   */
    HRIMPORTACAO        VARCHAR2(4)             NULL,             /* Hora de importao do registro da tabela intermediria */
    CONSTRAINT PK_USR_INT_ITEMSOLI PRIMARY KEY (NRSEQUENCIAL, NRSEQITEM, IDTPEXPITSOL, IDORIGREGISTRO)
)
/

CREATE INDEX USR_INT_ITEMSOLI_01 ON USR_INT_ITEMSOLI (CHAVETEKNISA ASC)
/

-- ========================
-- TABLE: USR_INT_AUTOFORNE /*Tabela intermediria contendo AF's da integrao entre TecFood e Portal*/
-- ========================
CREATE TABLE USR_INT_AUTOFORNE(
    NRSEQUENCIAL        INTEGER                NOT NULL,
    CDFILDEST           VARCHAR2(4)            NOT NULL,
    CDFILLANC           VARCHAR2(4)            NOT NULL,
    NRAUTOFORN          VARCHAR2(10)           NOT NULL,
    CDEMPRESA           VARCHAR2(2)            NULL    ,
    DTAUTOFORN          DATE                   NOT NULL,
    CDFORNECED          VARCHAR2(21)           NOT NULL,
    NMCONTFORN          VARCHAR2(30)           NULL    ,
    CDFORMPGTO          VARCHAR2(2)            NULL,
    VRDESCONTO1         FLOAT                  NULL,
    VRDESCONTO2         FLOAT                  NULL,
    VRRETSEGSOCIAL      FLOAT                  NULL,
    VRTOTALAF           FLOAT                  NOT NULL,
    IDTPEXPITSOL        VARCHAR2(1)            NOT NULL,         /* Tipo de operao (1-Incluso, 2-Excluso)             */
    IDORIGREGISTRO      VARCHAR2(1)            NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
    DTGRAVACAO          DATE                   NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO          VARCHAR2(4)            NULL,             /* Hora da gravao do registro na tabela intermediria   */
    DTIMPORTACAO        DATE                   NULL,             /* Dt de importao do registro da tabela intermediria   */
    HRIMPORTACAO        VARCHAR2(4)            NULL,             /* Hora de importao do registro da tabela intermediria */
    CONSTRAINT PK_USR_INT_AUTOFORNE PRIMARY KEY (NRSEQUENCIAL)
)
/

CREATE INDEX USR_INT_AUTOFORNE_01 ON USR_INT_AUTOFORNE (CDFILDEST ASC, CDFILLANC ASC, NRAUTOFORN ASC)
/

-- =======================
-- TABLE: USR_INT_ITEMAUTF /*Tabela intermediria contendo itens de AF's da integrao entre TecFood e Portal*/
-- =======================
CREATE TABLE USR_INT_ITEMAUTF(
   NRSEQUENCIAL        INTEGER                NOT NULL,
   NRSEQITEM           VARCHAR2(4)            NOT NULL,
   CDFILDEST           VARCHAR2(4)            NOT NULL,
   CDFILLANC           VARCHAR2(4)            NOT NULL,
   NRAUTOFORN          VARCHAR2(10)           NOT NULL,
   CDMARCA             VARCHAR2(5)            NOT NULL,
   CDPRODUTO           VARCHAR2(10)           NOT NULL,
   DTPROGENTAF         DATE                   NOT NULL,
   NMPRODUTO           VARCHAR2(50)           NOT NULL,
   VRQTDEAF            FLOAT                  NOT NULL,
   VRPRECOUNIT         FLOAT                  NOT NULL,
   VRTOTALITEM         FLOAT                  NOT NULL,
   VRIVAMP             FLOAT                  NULL,
   VRIMPINT02          FLOAT                  NULL,
   VRPIBBA             FLOAT                  NULL,
   VRPERCIVA           FLOAT                  NULL,
   VRABASTOS           FLOAT                  NULL,
   VRPIBCP             FLOAT                  NULL,
   VRPIBCBA            FLOAT                  NULL,
   VRPIBSFE            FLOAT                  NULL,
   VRPIBMZA            FLOAT                  NULL,
   VRPIBSJ             FLOAT                  NULL,
   VRPIBCAT            FLOAT                  NULL,
   VRPIBTUC            FLOAT                  NULL,
   VRPIBCTE            FLOAT                  NULL,
   VRPIBSAL            FLOAT                  NULL,
   VRPIBSL             FLOAT                  NULL,
   VRPIBTF             FLOAT                  NULL,
   VRIVAOC             FLOAT                  NULL,
   VRIVA19             FLOAT                  NULL,
   VRIVA20             FLOAT                  NULL,
   VRIMPINT21          FLOAT                  NULL,
   VRPIBMIS            FLOAT                  NULL,
   VRPIIBBTUC          FLOAT                  NULL,
   TXOBSITMAF          VARCHAR2(2000)         NULL,
   IDTPEXPITSOL        VARCHAR2(1)            NOT NULL,         /* Tipo de operao (1-Incluso, 2-Excluso)             */
   IDORIGREGISTRO      VARCHAR2(1)            NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
   DTGRAVACAO          DATE                   NULL,             /* Dt de gravao do registro na tabela intermediria     */
   HRGRAVACAO          VARCHAR2(4)            NULL,             /* Hora da gravao do registro na tabela intermediria   */
   DTIMPORTACAO        DATE                   NULL,             /* Dt de importao do registro da tabela intermediria   */
   HRIMPORTACAO        VARCHAR2(4)            NULL,             /* Hora de importao do registro da tabela intermediria */
   CONSTRAINT PK_USR_INT_ITEMAUTF PRIMARY KEY (NRSEQUENCIAL, NRSEQITEM)
)
/

CREATE INDEX USR_INT_ITEMAUTF_01 ON USR_INT_ITEMAUTF (CDFILDEST ASC, CDFILLANC ASC, NRAUTOFORN ASC, CDMARCA ASC, CDPRODUTO ASC, DTPROGENTAF ASC)
/

-- =====================
-- TABLE: USR_FECHAMENTO /*Tabela intermediria contendo informaes sobre o fechamento de dia no sistema da Teknisa*/
-- =====================
CREATE TABLE USR_FECHAMENTO(
   USR_CDFILIAL        VARCHAR2(4)            NOT NULL,
   USR_DTFECHADIA      DATE                   NOT NULL,
   USR_DTULTATUFECHA   DATE                   NOT NULL,
   CONSTRAINT PK_USR_FECHAMENTO PRIMARY KEY (USR_CDFILIAL)
)
/

-- =========================
-- TABLE: USR_POSICAOESTOQUE /*Tabela intermediria contendo informaes sobre a posio de estoque dos produtos no sistema da Teknisa*/
-- =========================
CREATE TABLE USR_POSICAOESTOQUE(
   CDFILIAL            VARCHAR2(4)            NOT NULL,
   CDPRODUTO           VARCHAR2(10)           NOT NULL,
   DATAPOSICAO         DATE                   NOT NULL,
   QTDEPOSICAO         FLOAT                  NOT NULL,
   VRCUSTPOSICAO       FLOAT                  NOT NULL,
   IDORIGREGISTRO      VARCHAR2(1)            NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
   DTGRAVACAO          DATE                   NULL,             /* Dt de gravao do registro na tabela intermediria     */
   HRGRAVACAO          VARCHAR2(4)            NULL,             /* Hora da gravao do registro na tabela intermediria   */
   DTIMPORTACAO        DATE                   NULL,             /* Dt de importao do registro da tabela intermediria   */
   HRIMPORTACAO        VARCHAR2(4)            NULL,             /* Hora de importao do registro da tabela intermediria */
   CONSTRAINT PK_USR_POSICAOESTOQUE PRIMARY KEY (CDFILIAL, CDPRODUTO, DATAPOSICAO)
)
/

-- =========================
--   TABLE: USR_INT_PREVRETI /*TABELA INTERMEDIRIA CONTENDO INFORMAES SOBRE A REQUISIO DO PLANEJAMENTO DE ALIMENTAO INDUSTRIAL*/
-- =========================
CREATE TABLE USR_INT_PREVRETI
(   NRSEQUENCIAL        INTEGER                NOT NULL,
    CDFILIAL            VARCHAR2(4)            NOT NULL,
    CDSERVFILI          VARCHAR2(5)            NOT NULL,
    DTPREVRETI          DATE                   NOT NULL,
    NRREQUEXTR          VARCHAR2(10)           NOT NULL,
    IDPREVRETI          VARCHAR2(1)            NOT NULL,
    CDPRODUTO           VARCHAR2(10)           NOT NULL,
    DTLIMITERETI        DATE                   NOT NULL,
    HRLIMITERETI        VARCHAR2(4)            NOT NULL,
    NRPRPREVRETI        VARCHAR2(4)            DEFAULT '0000' NOT NULL,
    QTPREVRETI          FLOAT                  DEFAULT 0 NULL,
    QTCOMESTICAR        FLOAT                  DEFAULT 0 NULL,
    CDTIPOPRAT          VARCHAR2(2)            NULL,
    CDFILAUXPRAT        VARCHAR2(4)            NULL,
    CDPRATO             VARCHAR2(10)           NULL,
    IDORIGREGISTRO      VARCHAR2(1)            NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
    DTGRAVACAO          DATE                   NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO          VARCHAR2(4)            NULL,             /* Hora da gravao do registro na tabela intermediria   */
    DTIMPORTACAO        DATE                   NULL,             /* Dt de importao do registro da tabela intermediria   */
    HRIMPORTACAO        VARCHAR2(4)            NULL,             /* Hora de importao do registro da tabela intermediria */
    CONSTRAINT PK_USR_INT_PREVRETI PRIMARY KEY (NRSEQUENCIAL, CDFILIAL, CDSERVFILI, DTPREVRETI, NRREQUEXTR, IDPREVRETI, CDPRODUTO, DTLIMITERETI, HRLIMITERETI, NRPRPREVRETI)
)
/

-- =========================
--   TABLE: USR_INT_RECEFILI /*TABELA INTERMEDIRIA CONTENDO INFORMAES SOBRE A RECEITA DO PLANEJAMENTO DE ALIMENTAO INDUSTRIAL*/
-- =========================
CREATE TABLE USR_INT_RECEFILI
(   NRSEQUENCIAL        INTEGER                NOT NULL,
    CDFILAUXPRAT        VARCHAR2(4)            NOT NULL,
    CDPRATO             VARCHAR2(10)           NOT NULL,
    CDFILIAL            VARCHAR2(4)            NOT NULL,
    CDPRODUTO           VARCHAR2(10)           NOT NULL,
    QTLIQUIDA           FLOAT                  NULL,
    QTBRUTA             FLOAT                  NULL,
    IDORIGREGISTRO      VARCHAR2(1)            NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
    DTGRAVACAO          DATE                   NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO          VARCHAR2(4)            NULL,             /* Hora da gravao do registro na tabela intermediria   */
    DTIMPORTACAO        DATE                   NULL,             /* Dt de importao do registro da tabela intermediria   */
    HRIMPORTACAO        VARCHAR2(4)            NULL,             /* Hora de importao do registro da tabela intermediria */
    CONSTRAINT PK_USR_INT_RECEFILI PRIMARY KEY (NRSEQUENCIAL, CDFILAUXPRAT, CDPRATO, CDFILIAL, CDPRODUTO)
)
/

-- ===========================
--   TABLE: USR_FACTURA_PORTAL /*TABELA INTERMEDIRIA CONTENDO INFORMAES SOBRE AS NFs GERADAS NO PORTAL*/
-- ===========================
CREATE TABLE USR_FACTURA_PORTAL
(   NRSEQUENCIAL        VARCHAR2(10)           NOT NULL,
    CDFILIAL            VARCHAR2(4)            NOT NULL,
    NRNOTAFISC          VARCHAR2(20)           NULL,
    CDSERIE             VARCHAR2(5)            NULL,
    CDFORNECED          VARCHAR2(21)           NOT NULL,
    DTENTRSAID          DATE                   NOT NULL,
    DTEMISSAO           DATE                   NULL,
    VRTOTALNF           FLOAT                  NOT NULL,
    IDORIGREGISTRO      VARCHAR2(1)            NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
    DTGRAVACAO          DATE                   NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO          VARCHAR2(4)            NULL,             /* Hora da gravao do registro na tabela intermediria   */
    DTIMPORTACAO        DATE                   NULL,             /* Dt de importao do registro da tabela intermediria   */
    HRIMPORTACAO        VARCHAR2(4)            NULL,             /* Hora de importao do registro da tabela intermediria */
    CONSTRAINT PK_USR_FACTURA_PORTAL PRIMARY KEY (NRSEQUENCIAL, CDFILIAL)
)
/

-- =========================
--   TABLE: USR_ITEM_FACTURA /*TABELA INTERMEDIRIA CONTENDO INFORMAES SOBRE OS ITENS DE NFs GERADAS NO PORTAL*/
-- =========================
CREATE TABLE USR_ITEM_FACTURA
(   NRSEQUENCIAL        VARCHAR2(10)           NOT NULL,
    CDFILIAL            VARCHAR2(4)            NOT NULL,
    NRSEQITPROD         VARCHAR2(4)            NOT NULL,
    CDPRODUTO           VARCHAR2(10)           NOT NULL,
    QTITEMPROD          FLOAT                  NOT NULL,
    VRUNITITEM          FLOAT                  NOT NULL,
    VRDESCITEM          FLOAT                  NULL,
    CONSTRAINT PK_USR_ITEM_FACTURA PRIMARY KEY (NRSEQUENCIAL, CDFILIAL, NRSEQITPROD)
)
/

-- ============================
--   TABLE: USR_ENCARGO_FACTURA /*TABELA INTERMEDIRIA CONTENDO INFORMAES SOBRE OS ENCARGOS DAS NFs GERADAS NO PORTAL*/
-- ============================
CREATE TABLE USR_ENCARGO_FACTURA
(   NRSEQUENCIAL        VARCHAR2(10)           NOT NULL,
    CDFILIAL            VARCHAR2(4)            NOT NULL,
    CDENCARGO           VARCHAR2(2)            NOT NULL,
    VRITEMENCA          FLOAT                  NOT NULL,
    CONSTRAINT PK_USR_ENCARGO_FACTURA PRIMARY KEY (NRSEQUENCIAL, CDFILIAL, CDENCARGO)
)
/

ALTER TABLE USR_INT_ITEMSOLI ADD CDFORNECED VARCHAR2(21) NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD DTENTREGAFORN DATE NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD VRCUSTOLISPREC FLOAT NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD CDPERIFORN VARCHAR2(2) NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD NMPERIFORN VARCHAR2(20) NULL
/

ALTER PROCEDURE USR_EXPORTASOLICITA COMPILE
/

ALTER PROCEDURE USR_IMPORTASOLICITA COMPILE
/

ALTER TRIGGER USR_ALTERACAOSOLICITA COMPILE
/

ALTER PROCEDURE USR_EXPORTAAF COMPILE
/

ALTER TRIGGER USR_ALTERACAOAF COMPILE
/

ALTER TRIGGER USR_REGISTRA_FECHAMENTO COMPILE
/

ALTER PROCEDURE USR_EXPORTAESTOQUE COMPILE
/

ALTER PROCEDURE USR_EXPORTAREQUISICAO COMPILE
/

ALTER PROCEDURE USR_IMPORTARECEITA COMPILE
/

-- =======================
--   TABLE: USR_LISTAPRECO /*Tabela Intermediria contendo informaes sobre o custo de cotao (lista de preos) dos produtos*/
-- =======================
CREATE TABLE USR_LISTAPRECO
(   CDFILIAL        VARCHAR2(4)           NOT NULL,
    CDPRODESTO      VARCHAR2(20)          NOT NULL,
    DTREFERENCIA    DATE                  NOT NULL,
    CDPRODUTO       VARCHAR2(20)          NOT NULL,
    VRPRECUNIESTQ   FLOAT                 NOT NULL,
    VRPRECUNICMP    FLOAT                 NOT NULL,
    CDFORNECED      VARCHAR2(21)          NOT NULL,
    VRMINIMOFORN    FLOAT                 NULL,
    QTMINIMOFORN    FLOAT                 NULL,
    SGUNIDADE       VARCHAR2(10)          NULL,
    CDPERIENTR      VARCHAR2(2)           NULL,
    NMPERIENTR      VARCHAR2(20)          NULL,
    IDORIGREGISTRO  VARCHAR2(1)       NOT NULL,         /* Origem do Registro (T-Teknisa, P-Portal)               */
    DTGRAVACAO      DATE              NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO      VARCHAR2(4)       NULL,             /* Hora da gravao do registro na tabela intermediria   */
    DTIMPORTACAO    DATE              NULL,             /* Dt de importao do registro da tabela intermediria   */
    HRIMPORTACAO    VARCHAR2(4)       NULL,             /* Hora de importao do registro da tabela intermediria */
    CONSTRAINT PK_USR_LISTAPRECO PRIMARY KEY (CDFILIAL, CDPRODESTO, DTREFERENCIA)
)
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRIVAMP FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRIMPINT02 FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBBA FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPERCIVA FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRABASTOS FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBCP FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBCBA FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBSFE FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBMZA FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBSJ FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBCAT FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBTUC FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBCTE FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBSAL FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBSL FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBTF FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRIVAOC FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRIVA19 FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRIVA20 FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRIMPINT21 FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIBMIS FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD VRPIIBBTUC FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRIVAMP FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRIMPINT02 FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBBA FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPERCIVA FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRABASTOS FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBCP FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBCBA FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBSFE FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBMZA FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBSJ FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBCAT FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBTUC FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBCTE FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBSAL FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBSL FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBTF FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRIVAOC FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRIVA19 FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRIVA20 FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRIMPINT21 FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIBMIS FLOAT NULL
/

ALTER TABLE USR_ITEM_FACTURA ADD VRPIIBBTUC FLOAT NULL
/

-- =======================
--   TABLE: USR_AF_FACTURA /*Tabela Intermediria contendo as AF's relacionadas a uma determinada NF*/
-- =======================
CREATE TABLE USR_AF_FACTURA
(   NRSEQUENCIAL        VARCHAR2(10)           NOT NULL,
    CDFILDEST           VARCHAR2(4)            NOT NULL,
    CDFILLANC           VARCHAR2(4)            NOT NULL,
    NRAUTOFORN          VARCHAR2(10)           NOT NULL,
    CONSTRAINT PK_USR_AF_FACTURA PRIMARY KEY (NRSEQUENCIAL, CDFILDEST, CDFILLANC, NRAUTOFORN)
)
/

/*Identificador cuja finalidade  indicar ao portal se a AF j passou pelo
  circuito de aprovao do portal ou no. Caso o campo tenha valor N indica
  que a AF ainda no passou pelo circuito de aprovao e, caso o campo tenha
  valor S indica que a AF j passou pelo circuito de aprovao do portal*/
ALTER TABLE AUTOFORNE ADD USR_IDAFREVISADA VARCHAR(1) NULL
/

/*Identificador do motivo do envio da AF. Valor 1 indica que trata-se do
  primeiro envio da AF (aps a concluso da anlise). Valor 2 indica que
  trata-se de envio de AFs cuja anlise j foi concluda porm, ficaram
  inconsistentes e/ou fora do limite. Valor 3 indica que a AF j foi importada
  do portal porm, ficou fora do limite e deve ser enviada para o
  Circuito de Aprovao. 4 indica que a AF j passou pelo circuito
  de aprovao e pode ser disponibilizada aos fornecedores (envio final).*/
ALTER TABLE AUTOFORNE ADD USR_IDMOTIVOENVIO     VARCHAR(1)    NULL
/

ALTER TABLE AUTOFORNE ADD USR_AFIMPORTADA       VARCHAR(1)    NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD IDSITUATUAAF  VARCHAR(1)   NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD IDAFFORALIM   VARCHAR(1)   NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD IDAFREVISADA  VARCHAR(1)   NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD CDGERENTE     VARCHAR2(12) NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD IDMOTIVOENVIO VARCHAR(1)  NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD IDAUTOFORNEX  VARCHAR(1)  NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD IDTIPOLANCAF  VARCHAR(1)  NULL
/

ALTER TABLE USR_INT_AUTOFORNE MODIFY CDFILLANC VARCHAR2(4) NULL
/

ALTER TABLE USR_INT_AUTOFORNE MODIFY NRAUTOFORN VARCHAR2(10) NULL
/

ALTER TABLE USR_INT_ITEMAUTF MODIFY CDFILLANC VARCHAR2(4) NULL
/

ALTER TABLE USR_INT_ITEMAUTF MODIFY NRAUTOFORN VARCHAR2(10) NULL
/

ALTER TABLE USR_POSICAOESTOQUE DROP CONSTRAINT PK_USR_POSICAOESTOQUE
/

ALTER TABLE USR_POSICAOESTOQUE ADD CONSTRAINT PK_USR_POSICAOESTOQUE PRIMARY KEY (CDFILIAL, CDPRODUTO, DATAPOSICAO, IDORIGREGISTRO)
/

ALTER TABLE USR_INT_AUTOFORNE ADD CDOPERADOR VARCHAR2(12) NULL
/

ALTER TABLE USR_LISTAPRECO ADD NMPRODCOMPRA VARCHAR2(50) NULL
/

ALTER TABLE USR_LISTAPRECO ADD NMPRODESTOQUE VARCHAR2(50) NULL
/

ALTER TABLE USR_POSICAOESTOQUE ADD NMPRODUTO VARCHAR2(50) NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD NMPRODUTO VARCHAR2(50) NULL
/

ALTER TABLE USR_LISTAPRECO ADD DIAS VARCHAR2(300) NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD DIAS VARCHAR2(300) NULL
/

ALTER TABLE USR_INT_ITEMAUTF MODIFY NRAUTOFORN VARCHAR2(10) NULL
/

ALTER TABLE USR_INT_ITEMAUTF MODIFY CDFILLANC VARCHAR2(4) NULL
/

/***********************Modelagem alterada na Argentina*********************************/

ALTER TABLE USR_INT_ITEMSOLI DROP CONSTRAINT PK_USR_INT_ITEMSOLI
/

ALTER TABLE USR_INT_ITEMSOLI ADD CONSTRAINT PK_USR_INT_ITEMSOLI PRIMARY KEY (NRSEQUENCIAL, NRSEQITEM, IDTPEXPITSOL, IDORIGREGISTRO)
/

ALTER TABLE USR_INT_AUTOFORNE DROP CONSTRAINT PK_USR_INT_AUTOFORNE
/

ALTER TABLE USR_INT_AUTOFORNE ADD CONSTRAINT PK_USR_INT_AUTOFORNE PRIMARY KEY (NRSEQUENCIAL, IDTPEXPITSOL, IDORIGREGISTRO)
/

ALTER TABLE USR_INT_ITEMAUTF DROP CONSTRAINT PK_USR_INT_ITEMAUTF
/

ALTER TABLE USR_INT_ITEMAUTF ADD CONSTRAINT PK_USR_INT_ITEMAUTF PRIMARY KEY (NRSEQUENCIAL, NRSEQITEM, IDTPEXPITSOL, IDORIGREGISTRO)
/

/*ITEMSOLI*/

ALTER TABLE USR_INT_ITEMSOLI DROP COLUMN NRORIGEMPORTAL
/

ALTER TABLE USR_INT_ITEMSOLI ADD CDORIGEMPORTAL  VARCHAR2(20) NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD NRORIGEMPORTAL  INTEGER NULL
/

ALTER TABLE USR_INT_ITEMSOLI ADD NRITEMPORTAL    INTEGER NULL
/

ALTER TABLE ITEMSOLI DROP COLUMN USR_NRORIGEMPORTAL
/

ALTER TABLE ITEMSOLI ADD USR_CDORIGEMPORTAL  VARCHAR2(20) NULL
/

ALTER TABLE ITEMSOLI ADD USR_NRORIGEMPORTAL  INTEGER NULL
/

ALTER TABLE ITEMSOLI ADD USR_NRITEMPORTAL    INTEGER NULL
/

/*ITEMAUTF*/

ALTER TABLE USR_INT_ITEMAUTF DROP COLUMN NRSOLPORTAL
/

ALTER TABLE USR_INT_ITEMAUTF ADD CDSOLPORTAL    VARCHAR2(20) NULL
/

ALTER TABLE USR_INT_ITEMAUTF ADD NRSOLPORTAL    INTEGER NULL
/

ALTER TABLE USR_INT_ITEMAUTF ADD NRITEMSOLPORTAL INTEGER NULL
/

ALTER TABLE USR_INT_ITEMAUTF ADD NRSOLTEKNISA VARCHAR2(10) NULL
/

ALTER TABLE ITEMAUTF DROP COLUMN USR_NRSOLPORTAL
/

ALTER TABLE ITEMAUTF ADD USR_CDSOLPORTAL     VARCHAR2(20) NULL
/

ALTER TABLE ITEMAUTF ADD USR_NRSOLPORTAL     INTEGER      NULL
/

ALTER TABLE ITEMAUTF ADD USR_NRITEMSOLPORTAL INTEGER  NULL
/

/*AUTOFORNE*/
ALTER TABLE USR_INT_AUTOFORNE DROP COLUMN NRAFPORTAL
/

ALTER TABLE USR_INT_AUTOFORNE ADD CDAFPORTAL VARCHAR2(20) NULL
/

ALTER TABLE USR_INT_AUTOFORNE ADD NRAFPORTAL INTEGER NULL
/

ALTER TABLE AUTOFORNE DROP COLUMN USR_NRAFPORTAL
/

ALTER TABLE AUTOFORNE ADD USR_CDAFPORTAL VARCHAR2(20) NULL
/

ALTER TABLE AUTOFORNE ADD USR_NRAFPORTAL INTEGER      NULL
/

/*Bloqueio de Tabelas*/

-- =====================
--   TABLE: USR_BLOQUEIO /*Tabela cuja finalidade  bloquear as tabelas intermedirias e impedir acesso concorrente*/
-- =====================
CREATE TABLE USR_BLOQUEIO
(   NMTABELA        VARCHAR2(30)      NOT NULL,
    IDORIGREGISTRO  VARCHAR2(1)       NULL,             /* Origem do Registro (T-Teknisa, P-Portal) - Nulo indica tabela desbloqueada*/
    DTGRAVACAO      DATE              NULL,             /* Dt de gravao do registro na tabela intermediria     */
    HRGRAVACAO      VARCHAR2(4)       NULL,             /* Hora da gravao do registro na tabela intermediria   */
    CONSTRAINT PK_USR_BLOQUEIO PRIMARY KEY (NMTABELA)
)
/

INSERT INTO USR_BLOQUEIO (NMTABELA)
SELECT
    'USR_INT_ITEMSOLI'
FROM DUAL
UNION ALL
SELECT
    'USR_INT_AUTOFORNE'
FROM DUAL
UNION ALL
SELECT
    'USR_INT_ITEMAUTF'
FROM DUAL
UNION ALL
SELECT
    'USR_FECHAMENTO'
FROM DUAL
UNION ALL
SELECT
    'USR_POSICAOESTOQUE'
FROM DUAL
UNION ALL
SELECT
    'USR_INT_PREVRETI'
FROM DUAL
UNION ALL
SELECT
    'USR_INT_RECEFILI'
FROM DUAL
UNION ALL
SELECT
    'USR_FACTURA_PORTAL'
FROM DUAL
UNION ALL
SELECT
    'USR_ITEM_FACTURA'
FROM DUAL
UNION ALL
SELECT
    'USR_ENCARGO_FACTURA'
FROM DUAL
UNION ALL
SELECT
    'USR_LISTAPRECO'
FROM DUAL
UNION ALL
SELECT
    'USR_AF_FACTURA'
FROM DUAL
/

COMMIT
/

ALTER TABLE USR_LISTAPRECO ADD DTFINAL DATE
/

ALTER TABLE USR_LISTAPRECO ADD CDMARCA VARCHAR2(5)
/

/*ItemAutf*/

ALTER TABLE USR_INT_ITEMAUTF ADD CDAFPORTAL   VARCHAR2(20) NULL
/

ALTER TABLE USR_INT_ITEMAUTF ADD NRAFPORTAL   INTEGER NULL
/

ALTER TABLE USR_INT_ITEMAUTF ADD NRITAFPORTAL INTEGER NULL
/

ALTER TABLE ITEMAUTF ADD USR_CDAFPORTAL VARCHAR2(20) NULL
/

ALTER TABLE ITEMAUTF ADD USR_NRAFPORTAL INTEGER      NULL
/

ALTER TABLE ITEMAUTF ADD USR_NRITAFPORTAL INTEGER      NULL
/

ALTER TABLE USR_LISTAPRECO ADD NMMARCA VARCHAR2(20) NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD QTERROFACTURA FLOAT NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD DSERROFACTURA VARCHAR2(3000)
/

ALTER TABLE USR_FECHAMENTO ADD IDORIGREGISTRO      VARCHAR2(1)            NOT NULL
/

ALTER TABLE USR_FECHAMENTO ADD DTGRAVACAO          DATE                   NULL
/

ALTER TABLE USR_FECHAMENTO ADD HRGRAVACAO          VARCHAR2(4)            NULL
/

ALTER TABLE USR_FECHAMENTO ADD DTIMPORTACAO        DATE                   NULL
/

ALTER TABLE USR_FECHAMENTO ADD HRIMPORTACAO        VARCHAR2(4)            NULL
/

ALTER TABLE USR_FECHAMENTO ADD DTANTFECHADIA DATE NULL
/

ALTER TABLE AUTOFORNE ADD IDAUXIMPPORTAL VARCHAR2(1)
/

/*Logs da Integrao Teknisa e Portal WEB*/
-- ==========================
--   TABLE: USR_LOGINTTEKNISA /*Tabela cuja finalidade  armazenar o log de execuo das rotinas de integrao*/
-- ==========================
CREATE TABLE USR_LOGINTTEKNISA
(   NMTABELA        VARCHAR2(30)      NOT NULL,
    IDORIGREGISTRO  VARCHAR2(1)       NOT NULL, /* Origem do Registro (T-Teknisa, P-Portal) - Nulo indica tabela desbloqueada*/
    DSLOGINTEGRACAO VARCHAR2(100)     NOT NULL,
    DTOPERACAO      DATE              NOT NULL,
    DSRESULT        VARCHAR2(4000)    NOT NULL
)
/

CREATE INDEX USR_LOGINTTEKNISA_01 ON USR_LOGINTTEKNISA (NMTABELA ASC, DTOPERACAO ASC)
/

ALTER TABLE USR_FACTURA_PORTAL ADD IDFACTREVISADA VARCHAR2(1)
/

/*Factura*/

ALTER TABLE USR_FACTURA_PORTAL ADD CDFACTPORTAL VARCHAR2(20) NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD NRFACTPORTAL INTEGER NULL
/

ALTER TABLE USR_FACTURA_PORTAL ADD CHAVETEKNISA VARCHAR2(14)
/

ALTER TABLE NOTAFISCAL ADD USR_CDFACTPORTAL VARCHAR2(20) NULL
/

ALTER TABLE NOTAFISCAL ADD USR_NRFACTPORTAL INTEGER NULL
/

ALTER TABLE USR_LISTAPRECO ADD CDPERIPROD VARCHAR2(2) NULL
/

-- ============================================================
--   TABLE: TRAB_VENCIMENTO
-- ============================================================
CREATE TABLE TRAB_VENCIMENTO
(
    CDFILIALVENC        VARCHAR2(4)            NULL,
    NRLANCTONFVENC      VARCHAR2(10)           NULL,
    NRSEQVENC           VARCHAR2(5)            NULL,
    DTVENCIMENTO        DATE                   NULL,
    VRVENCIMENTO        FLOAT                  NULL,
    QTDIASVENC          FLOAT                  NULL,
    IDTPCONTATRABVEN VARCHAR2(1) NULL
    CONSTRAINT CKC_IDTPCONTATRABVEN CHECK (IDTPCONTATRABVEN IS NULL OR (IDTPCONTATRABVEN IN ('N','S')))
)
/